CREATE OR REPLACE VIEW vw_fco_sucursales  
AS  
SELECT   
    v.compania, v.sucursal, s.codigo_iss,   
    NVL(v.descripcion, s.descripcion) AS descripcion,   
    s.direccion, s.cod_dpto, s.cod_ciudad, s.telefono, s.fax,    
    s.nombre_retenedor, s.cedula_retenedor, s.agencias, s.autoliquida
FROM vw_fco_sucursales_cia v, fco_sucursales s
WHERE s.compania(+) = v.compania
AND s.sucursal(+) = v.sucursal;

CREATE PUBLIC SYNONYM vw_fco_sucursales FOR ADAM.vw_fco_sucursales;
GRANT ALL ON vw_fco_sucursales TO ADAMA;

